java.net

## Class SocketTimeoutException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - java.io.InterruptedIOException
        - - java.net.SocketTimeoutException

- All Implemented Interfaces:
    Serializable

      public class SocketTimeoutException
      extends InterruptedIOException

  Signals that a timeout has occurred on a socket read or accept.
  Since:
    1.4
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class java.io.InterruptedIOException

      `bytesTransferred`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SocketTimeoutException()` Construct a new SocketTimeoutException with no detailed message.
    `SocketTimeoutException(String msg)` Constructs a new SocketTimeoutException with a detail message.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SocketTimeoutException

          public SocketTimeoutException(String msg)

      Constructs a new SocketTimeoutException with a detail message.
      Parameters:
        `msg` - the detail message

    - #### SocketTimeoutException

          public SocketTimeoutException()

      Construct a new SocketTimeoutException with no detailed message.

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright © 1993, 2014, Oracle and/or its affiliates. All rights reserved.